postPaymentIntentsIntentCancel :: MonadHTTP m=> Textintent | Constraints: Maximum length of 5000
-> Maybe PostPaymentIntentsIntentCancelRequestBodyThe request body to send
-> ClientT m (Response PostPaymentIntentsIntentCancelResponse)Monadic computation which returns the result of the operation
POST /v1/payment_intents/{intent}/cancel<p>A PaymentIntent object can be canceled when it is in one of these statuses: <code>requires_payment_method</code>, <code>requires_capture</code>, <code>requires_confirmation</code>, <code>requires_action</code>, or <code>processing</code>. </p>
<p>Once canceled, no additional charges will be made by the PaymentIntent and any operations on the PaymentIntent will fail with an error. For PaymentIntents with <code>status=’requires_capture’</code>, the remaining <code>amount_capturable</code> will automatically be refunded. </p>
<p>You cannot cancel the PaymentIntent for a Checkout Session. <a href="/docs/api/checkout/sessions/expire">Expire the Checkout Session</a> instead</p>